Bug 170001 - Radeon 9200 Pro no longer handles refresh rates properly after kernel update
Radeon 9200 Pro no longer handles refresh rates properly after kernel update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 08:37 EDT by Matthew A. R. Sherian
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 08:13:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Current X Config file (3.45 KB, text/plain)
2005-10-06 08:37 EDT, Matthew A. R. Sherian
no flags Details

  None (edit)
Description Matthew A. R. Sherian 2005-10-06 08:37:10 EDT
Created attachment 119668 [details]
Current X Config file
Comment 1 Matthew A. R. Sherian 2005-10-06 08:37:10 EDT
Description of problem:
With the installation of the 2.6.13-1.1526_FC4 kernel update the secondary
monitor hanging off a ATI Radeon 9200PRO would no longer accept any refresh
rates and would not properly render.


Version-Release number of selected component (if applicable):
 diff /var/log/Xorg.0.log /var/log/Xorg.0.log.old
6c6
< Current Operating System: Linux mars-new.photosphere.net 2.6.12-1.1456_FC4 #1
Thu Sep 22 02:11:40 EDT 2005 i686
---
> Current Operating System: Linux mars-new.photosphere.net 2.6.13-1.1526_FC4 #1
Wed Sep 28 19:15:10 EDT 2005 i686
13c13
< OS Kernel: Linux version 2.6.12-1.1456_FC4 (bhcompile@tweety.build.redhat.com)
(gcc version 4.0.1 20050727 (Red Hat 4.0.1-5)) #1 Thu Sep 22 02:11:40 EDT 2005
---
> OS Kernel: Linux version 2.6.13-1.1526_FC4
(bhcompile@hs20-bc1-6.build.redhat.com) (gcc version 4.0.1 20050727 (Red Hat
4.0.1-5)) #1 Wed Sep 28 19:15:10 EDT 2005
17c17
< (==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct  6 08:26:17 2005
---
> (==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct  6 08:23:36 2005
105a106,107
> (II) Bus 2 prefetchable memory range:
>       [0] -1  0       0x20000000 - 0x200fffff (0x100000) MX[B]
1210,1212d1211
< (WW) Open APM failed (/dev/apm_bios) (No such file or directory)
< (II) Screen 0 shares mem & io resources
< (II) Screen 1 shares mem & io resources
1215,1217d1213
< (II) Entity 0 shares no resources
< (II) Entity 1 shares no resources
< (II) Mouse0: ps2EnableDataReporting: succeeded


How reproducible:
Always consistant

Steps to Reproduce:
1. Boot off of the 2.6.13-1.1526_FC4 kernel in a dual head config (1 9200PRO, 1
9600)
2. start X
3. Observe squiggly display of sadness
  
Actual results:


Expected results:


Additional info:
Comment 2 Dave Jones 2005-11-10 15:30:32 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Matthew A. R. Sherian 2005-11-10 19:07:07 EST
It didn't I tried on 30-Oct and got the same results.
Comment 4 Dave Jones 2006-02-03 02:28:27 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 Matthew A. R. Sherian 2006-02-16 08:13:31 EST
this is now resolved, though the PCI bus and other hardware charechteristics had
to be added to the xorg.conf

Note You need to log in before you can comment on or make changes to this bug.